From edff9c0d502ba7fe583666fb2fed2c94a7585ce6 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 28 2020 04:54:08 +0000
Subject: [PATCH 1615/2232] Suppress clippy too_many_arguments lint


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index b290058..6d44e5d 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -52,6 +52,7 @@
     clippy::new_without_default,
     clippy::nonminimal_bool,
     clippy::or_fun_call,
+    clippy::too_many_arguments,
     clippy::toplevel_ref_arg
 )]
 
diff --git a/gen/cmd/src/main.rs b/gen/cmd/src/main.rs
index e607030..2372c2c 100644
--- a/gen/cmd/src/main.rs
+++ b/gen/cmd/src/main.rs
@@ -5,6 +5,7 @@
     clippy::new_without_default,
     clippy::nonminimal_bool,
     clippy::or_fun_call,
+    clippy::too_many_arguments,
     clippy::toplevel_ref_arg
 )]
 
diff --git a/gen/lib/src/lib.rs b/gen/lib/src/lib.rs
index 506b007..dd7d515 100644
--- a/gen/lib/src/lib.rs
+++ b/gen/lib/src/lib.rs
@@ -13,6 +13,7 @@
     clippy::new_without_default,
     clippy::nonminimal_bool,
     clippy::or_fun_call,
+    clippy::too_many_arguments,
     clippy::toplevel_ref_arg
 )]
 
diff --git a/macro/src/lib.rs b/macro/src/lib.rs
index 89f2549..1498bbb 100644
--- a/macro/src/lib.rs
+++ b/macro/src/lib.rs
@@ -5,6 +5,7 @@
     clippy::nonminimal_bool,
     clippy::or_fun_call,
     clippy::single_match,
+    clippy::too_many_arguments,
     clippy::toplevel_ref_arg,
     clippy::useless_let_if_seq
 )]

